Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer.eclipse.editors
Class ColorerEditor

    java.lang.Object
      TextEditor
          net.sf.colorer.eclipse.editors.ColorerEditor

All Implemented Interfaces:
  IColorerReloadListener

    public class ColorerEditor

extends TextEditor
implements IColorerReloadListener

Constructor Summary
`ColorerEditor()`

Method Summary
`void` | `chooseFileType()` Selects filetype according to file name and first line of content
`void` | `createPartControl(Composite parent)`
`void` | `dispose()`
`protected void` | `editorContextMenuAboutToShow(IMenuManager parentMenu)`
`java.lang.Object` | `getAdapter(java.lang.Class key)`
`LineRegion` | `getCaretRegion()` Retrieves current LineRegion under caret.
`FileType` | `getFileType()` Returns currently used file type
`protected void` | `initializeKeyBindingScopes()`
`void` | `matchPair()` Tries to match paired construction
`void` | `notifyReload()` Called when HRC database is reloaded
`void` | `propertyChange(PropertyChangeEvent e)`
`void` | `relinkColorer()` Reloads coloring highlighting in this editor
`void` | `selectContentPair()` Selects content of paired construction
`void` | `selectCursorRegion()` Selects region under the cursor
`void` | `selectPair()` Selects paired construction
`void` | `setFileType(FileType type)` Selects file's type according to the passed type name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorerEditor

    public ColorerEditor()

Method Detail

### createPartControl

    public void createPartControl(Composite parent)

### initializeKeyBindingScopes

    protected void initializeKeyBindingScopes()

### chooseFileType

    public void chooseFileType()

  Selects filetype according to file name and first line of content

### setFileType

    public void setFileType(FileType type)

  Selects file's type according to the passed type name

### getFileType

    public FileType getFileType()

  Returns currently used file type

### relinkColorer

    public void relinkColorer()

  Reloads coloring highlighting in this editor

### matchPair

    public void matchPair()

  Tries to match paired construction

### selectPair

    public void selectPair()

  Selects paired construction

### selectContentPair

    public void selectContentPair()

  Selects content of paired construction

### getCaretRegion

    public LineRegion getCaretRegion()

  Retrieves current LineRegion under caret.

  Returns:
    LineRegion currently under Caret

### selectCursorRegion

    public void selectCursorRegion()

  Selects region under the cursor

### editorContextMenuAboutToShow

    protected void editorContextMenuAboutToShow(IMenuManager parentMenu)

### notifyReload

    public void notifyReload()

  Description copied from interface: `IColorerReloadListener`
  Called when HRC database is reloaded

  Specified by:
    `notifyReload` in interface `IColorerReloadListener`

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class key)

### dispose

    public void dispose()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.